## ekg 1.7~rc2

=== contrib/ekg_logs/Makefile ===
all: parse

parse: parse.c
	gcc -O2 -o parse parse.c  `glib-config --cflags --libs` # -ggdb
	strip parse

clean:
	rm -f parse
