## ekg 1.8~rc2

=== debian/changelog ===
ekg (1:1.8~rc2-1ubuntu1) oneiric; urgency=low

  * Add missing includes and decls to avoid warnings about implicit
    conversions to pointers. LP: #831200.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2011 22:47:44 +0000

ekg (1:1.8~rc2-1) unstable; urgency=low

  * [7ba5778] Make the Makefiles support separate build directories.
  * [57c0ea1] Modernized the build and created new ekg-gtk package.
  * Removed the obsolete libreadline5-dev dependency (Closes: Bug#553749)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 10 Jul 2011 11:43:55 +0100

ekg (1:1.8~rc1-1) unstable; urgency=low

  * New upstream pre-release (identical to ~rc0).
  * Moved ioctld installation to a separate dh_install command, invoked only
    only when it is not hurd. Closes: #311351

 -- Marcin Owsiany <porridge@debian.org>  Mon, 12 May 2008 16:40:52 +0100

ekg (1:1.8~rc0-1) unstable; urgency=low

  * New upstream snapshot. Closes: #446875
    - fixes shell declaration in two scripts. Closes: #464978
    - not sure if it happened in this release, because it is very hard to
      reproduce, but it seems that display_ack=0 now properly ignores the
      non-delivery warnings. Closes: #305256
  * Lots of cleanups, to accommodate the fact that libgadu is not in this
    source package anymore (rules, README.Debian, copyright)
  * Added a recent libgadu-dev to build-depends (becuse of API dependency)
  * Minor fixes to description: spelling, capitalization and noted mouse
    support (disabled by default, BTW)
  * Added a few missing documents to installation, and removed ui.txt from
    installation, as it is for developers
  * Updated menu file (new section, removed hint)
  * Updated server list and monitoring URLs in README.Debian
  * Tidied up copyright file
  * Disabled token image->txt conversion (libungif and libjpeg, removed from
    build-deps), as the current captchas are impossible to display sensibly.
    File will be saved to a temporary file.
  * Added a checkperms-stamp target to debian/rules, useful when packaging
    straight from SVN
  * Bumped Standards-Version to 3.7.3
  * Added a Homepage field to the control file
  * Fixed clean target in debian/rules to only invoke clean when Makefiles
    exists, rather than ignoring all errors
  * Recoded debian/copyright to UTF-8
  * Fixed some spelling mistakes in changelog

 -- Marcin Owsiany <porridge@debian.org>  Mon, 21 Apr 2008 15:36:17 +0100

ekg (1:1.7~rc2-2) unstable; urgency=high

  * Security upload, for sid and etch
  * Patched three medium severity security issues in src/events.c:
    - CVE-2007-1663 A memory leak in handling image messages, which may cause
      memory exhaustion resulting in a DoS (ekg program crash). Exploitable by
      a hostile GG user.
    - CVE-2007-1664 off-by-one in token OCR function, which may cause a null
      pointer dereference resulting in a DoS (ekg program crash). Exploitable
      by MiTM (hostile HTTP proxy or TCP stream injection) or a hostile GG
      server.
    - CVE-2007-1665 potential memory exhaust in token OCR function, which may
      cause memory exhaustion resulting in a DoS (ekg program crash).
      Exploitable by MiTM (hostile HTTP proxy or TCP stream injection) or a
      hostile GG server.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 26 Mar 2007 18:53:19 +0100

ekg (1:1.7~rc2-1) unstable; urgency=low

  * New upstream release candidate
  * Added a uscan watch file. Closes: #377342

 -- Marcin Owsiany <porridge@debian.org>  Sun, 27 Aug 2006 13:20:02 +0100

ekg (1:1.6+20060616-1) unstable; urgency=low

  * New upstream snapshot
  * Contains a fix for GCC 4.1 warning (pointer dereference type punning),
    thus urgency=medium, because it's going to be in the toolchain for etch
  * Updated upstream website address
  * Bumped library symlink targets (API changed)

 -- Marcin Owsiany <porridge@debian.org>  Sat, 17 Jun 2006 15:29:04 +0100

ekg (1:1.6+20060215-1) unstable; urgency=low

  * New upstream snapshot
    - fix to src/stuff.h merged upstream
  * Disable OpenSSL support in libgadu ONLY (ekg still uses OpenSSL for SIM)
    - allows linking other pure-GPL programs against libgadu
    - GG servers do not support TLS anymore anyway
  * Removed libssl-dev from libgadu-dev dependencies
  * Switched ekglogs to glib 2.0:
    - changed build-depends from libglib1.2-dev to libglib2.0-dev
    - patched makefile to use pkg-config instead of glib-config
    - patched parse.c to use fixed max_tokens on g_strsplit()
  * Changed ekg depends from aspell6-dictionary to aspell-dictionary

 -- Marcin Owsiany <porridge@debian.org>  Thu, 16 Feb 2006 08:10:36 +0100

ekg (1:1.6+20060202-1) unstable; urgency=low

  * New upstream snapshot
  * Moved to libreadline5-dev, since the old one got removed from archive
    Closes: #350643
  * Patched src/stuff.h to fix wrong declaration (build failed on gcc4)

 -- Marcin Owsiany <porridge@debian.org>  Fri,  3 Feb 2006 15:52:49 +0100

ekg (1:1.6+20051103-1) unstable; urgency=low

  * New upstream snapshot
  * Contains applied patch from Aurelien Jarno to fix FTBFS on GNU/kFreeBSD
    Closes: #326618

 -- Marcin Owsiany <porridge@debian.org>  Thu,  3 Nov 2005 22:29:11 +0100

ekg (1:1.5+20050808+1.6rc3-1) unstable; urgency=low

  * New upstream snapshot
  * Added more CAN references to previous changelog entries

 -- Marcin Owsiany <porridge@debian.org>  Tue,  9 Aug 2005 16:11:49 +0200

ekg (1:1.5+20050731+1.6rc3-1) unstable; urgency=low

  * New upstream snapshot

 -- Marcin Owsiany <porridge@debian.org>  Mon,  1 Aug 2005 12:32:31 +0200

ekg (1:1.5+20050718+1.6rc3-1) unstable; urgency=high

  * New upstream release candidate (1.6rc3)
  * Among other things, contains security fix for integer overflow in libgadu
    lib/events.c, lib/libgadu.c (CAN-2005-1852) Closes: #318970
  * Also fixes CAN-2005-2370 and CAN-2005-2448

 -- Marcin Owsiany <porridge@debian.org>  Tue, 19 Jul 2005 12:45:08 +0200

ekg (1:1.5+20050712+1.6rc2-1) unstable; urgency=high


