## ekg 1.8~rc2+r2850

=== debian/changelog ===
ekg (1:1.8~rc2+r2850-3) unstable; urgency=low

  * [ed25020] Removed superfluous per-package Section headers.
  * [4c519d8] Set local options to unapply patches and disallow autogenerated patch.
  * [77d6a96] Minor typo fix.
  * [a1fd842] Disable unapply-patches in local-options.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 03 Nov 2011 23:01:08 +0000

ekg (1:1.8~rc2+r2850-2) unstable; urgency=low

  * [f029da7] Fixed version mangling in the watch file.
  * [5fb31dd] Add missing includes and decls. Closes: #641961
  * Migrated the automatic debian patch into separate topgit patches.
    Closes: #643106

 -- Marcin Owsiany <porridge@debian.org>  Thu, 06 Oct 2011 20:51:07 +0100
