=== debian/control ===
Source: ekg
Section: net
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl-dev, libglib2.0-dev, libaspell-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://ekg.chmurka.net/
Vcs-Git: git://github.com/porridge/ekg.git
Vcs-Browser: https://github.com/porridge/ekg

Package: ekg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl, ${shlibs:Recommends}
Suggests: aspell-pl | aspell-dictionary
Description: console Gadu Gadu client for UNIX systems - ncurses UI
 EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
 Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
 messaging program, very popular in Poland.
 .
 EKG features include:
   - irssi-like ncurses interface with mouse support
   - sending and receiving files
   - voice conversations
   - launching shell commands on certain events
   - reading input from pipe
   - Python scripting support
   - speech synthesis (using an external program)
   - encryption support
 .
 Please note that the program is not internationalized and all messages are in
 Polish (although the commands are in English).
 .
 This package contains the program built with just the (text) ncurses user
 interface. If you want to use the GTK+ graphical interface, install the
 ekg-gtk package as well.

Package: ekg-gtk
Architecture: any
Depends: ekg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Enhances: ekg
Description: Gadu Gadu client for UNIX systems - GTK+ UI
 EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
 Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
 messaging program, very popular in Poland.
 .
 EKG features include:
   - irssi-like ncurses interface with mouse support
   - sending and receiving files
   - voice conversations
   - launching shell commands on certain events
   - reading input from pipe
   - Python scripting support
   - speech synthesis (using an external program)
   - encryption support
 .
 Please note that the program is not internationalized and all messages are in
 Polish (although the commands are in English).
 .
 This package contains the program built with the (graphical) GTK+ user
 interface.
