## ekg 1.9~pre%2Br2855

=== debian/changelog ===
ekg (1:1.9~pre+r2855-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 20:52:31 +0000

ekg (1:1.9~pre+r2855-3) unstable; urgency=medium

  * QA upload.
  * Make debian/patches flat and drop debian/rules topgit stuff.
  * Add debian/patches/we-will-do-fine-without-the-compile-time.diff
    which removes the use of compile_time() function everywhere.

 -- Santiago Vila <sanvila@debian.org>  Mon, 07 Sep 2015 20:13:06 +0200

ekg (1:1.9~pre+r2855-2) unstable; urgency=low

  * Orphaning.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 08 Jul 2014 08:27:12 +0200

ekg (1:1.9~pre+r2855-1) unstable; urgency=high

  * Add new patch bugfix/link-x11. Closes: #713690

 -- Marcin Owsiany <porridge@debian.org>  Sat, 05 Oct 2013 11:06:55 +0300

ekg (1:1.9~pre+r2854-1) unstable; urgency=low

  * Switched to the 1.9 pre-release upstream branch.
  * [ab31943] Use build flags from environment. This really Closes: #653531
  * [9fcfdbf] Bumped debhelper version depenency to match debian/compat.
  * [838fbaa] Bumped Standards-Version to 3.9.3, no changes needed.
  * [ce381a2] Include/declare to fix "implicit declaration of function" warnings.
  * [908a55f] Updated gbp.conf for 1.9 branch.
  * A couple of patches merged upstream: feature/alternative-build-dirs,
    feature/ekglogs-glib2

 -- Marcin Owsiany <porridge@debian.org>  Thu, 19 Apr 2012 23:18:16 +0200

ekg (1:1.8~rc2+r2850-3.1) unstable; urgency=low

  * Non-maintainer upload with maintainer consent
  * Bump debhelper level to 9 for hardened build flags (Closes: #653531)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 09 Apr 2012 12:52:59 +0200
