## ekg 1.9~pre+r2854

=== debian/changelog ===
ekg (1:1.9~pre+r2854-1ubuntu1) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 11:04:43 -0400
