## ekg 1.9~pre+r2855

=== m4/Makefile ===
default:
	cd .. && ./autogen.sh
