=== debian/changelog ===
ekg (1:1.9~pre+r2855-5) unstable; urgency=medium

  * QA upload.
  * Disable parallel building to work around a FTBFS.
    (Closes: #811234)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Feb 2017 16:37:45 +0200

ekg (1:1.9~pre+r2855-4) unstable; urgency=medium

  * QA upload.
  * Use OpenSSL 1.0 to fix FTBFS with version 1.1. (Closes: #828291)
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Bump dh version to 10.
    - Fix short description.
    - Use secured links for VCS.
  * Drop menu files.
  * Enable hardening.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 09 Dec 2016 20:07:36 +0100
