=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ekg
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl-dev, libglib2.0-dev, libaspell-dev, libgtk2.0-dev
-Standards-Version: 3.9.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 10), libgadu-dev (>= 1:1.8.0), libncurses-dev, zlib1g-dev, python-dev, libgsm1-dev (>= 1.0.10-11.1), libssl1.0-dev | libssl-dev (<< 1.1.0~), libglib2.0-dev, libaspell-dev, libgtk2.0-dev
+Standards-Version: 3.9.8
 Homepage: http://ekg.chmurka.net/
-Vcs-Git: git://github.com/porridge/ekg.git
-Vcs-Browser: https://github.com/porridge/ekg
+Vcs-Git: https://github.com/porridge/ekg-debian.git
+Vcs-Browser: https://github.com/porridge/ekg-debian
 
 Package: ekg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: perl, ${shlibs:Recommends}
 Suggests: aspell-pl | aspell-dictionary
-Description: console Gadu Gadu client for UNIX systems - ncurses UI
+Description: console Gadu-Gadu client for UNIX systems - ncurses UI
  EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
  Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
  messaging program, very popular in Poland.
@@ -40,7 +39,7 @@
 Architecture: any
 Depends: ekg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Enhances: ekg
-Description: Gadu Gadu client for UNIX systems - GTK+ UI
+Description: Gadu-Gadu client for UNIX systems - GTK+ UI
  EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source
  Gadu-Gadu client for UNIX systems. Gadu-Gadu is an instant
  messaging program, very popular in Poland.
